package cmdbuild.actions;


import java.sql.SQLException;
import java.util.Enumeration;
import java.util.Vector;

import cmdbuild.action_forms.AddPolicyForm;
import cmdbuild.db.DBService;
import cmdbuild.elements.CMDBgroup;
import cmdbuild.collection.SecurityBean;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.actions.DispatchAction;

public class AddPolicyAction extends DispatchAction {

	/* (non-Javadoc)
	 * @see org.apache.struts.action.Action#execute(org.apache.struts.action.ActionMapping, org.apache.struts.action.ActionForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	 */
	public ActionForward add(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		
		SecurityBean sb = new SecurityBean();
		String group = ((AddPolicyForm)form).getGroup();
	    String policyDomain = ((AddPolicyForm)form).getPolicyDomain();
		int classId = ((AddPolicyForm)form).getClassId();
		String policyType = ((AddPolicyForm)form).getPolicyType();
		if (policyDomain.equals("all")){
			sb.setClassId(0);
		} else {
			sb.setClassId(classId);
		}
		String us = ((AddPolicyForm)form).getUser().getUserName();
		DBService db = (DBService)servlet.getServletContext().getAttribute("db");
		CMDBgroup GROUP = new CMDBgroup(db);
		Vector groupVector = null;
		SecurityBean oldsb = null;
		boolean ok = false;
		try {
			groupVector = GROUP.selectAllGroup();
		} catch (SQLException e){
			e.printStackTrace();
		}
		Enumeration en = groupVector.elements();
		while(en.hasMoreElements()){
			oldsb = (SecurityBean)en.nextElement();
			if (oldsb.getGroup().equals(group)){
				break;
			}
		}
		sb.setGroupId(oldsb.getGroupId());
		sb.setMode(policyType);
		try {
			ok = GROUP.addPolicy(sb,us);
		} catch (SQLException e){
			e.printStackTrace();
		}
		System.out.println("ok="+ok);
		if (ok){
			//System.out.println("Dominio creato " + name);
			String close="ok";
			request.getSession().setAttribute("close",close);
			return mapping.findForward("add");
		} else {
			System.out.println("Utente non creato");
			return mapping.findForward("error");
		}
	}
} // end of class
