package cmdbuild.actions;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.*;
import org.apache.struts.actions.DispatchAction;

import cmdbuild.action_forms.ImportForm;
import cmdbuild.wizards.WizardImport;

public class ImportAction extends DispatchAction {

	public ActionForward back(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		System.out.println("**BACK**");
		int page = ((ImportForm)form).getImportPage();
		//WizardManager wizard = ((WizardForm)form).getWizard();
		if (page>1){
			// no action when back
			//wizard.actionForPage(request,page);
			page--;
			request.getSession().setAttribute("importpage",""+page);
		}
		form.reset(mapping,request);
		return mapping.findForward("back");
	}
	
	public ActionForward next(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		System.out.println("**NEXT**");
		int page = ((ImportForm)form).getImportPage();
		WizardImport imp = ((ImportForm)form).getImp();
		if (page>0){
			imp.actionForPage(request,page);
			page++;
			request.getSession().setAttribute("importpage",""+page);
		}
		form.reset(mapping,request);
		if (request.getSession().getAttribute("error")!=null){
			return mapping.findForward("error");
		} else {
			return mapping.findForward("next");
		}
	}

} // end class
