package cmdbuild.actions;

import java.sql.SQLException;
import java.util.Enumeration;
import java.util.Hashtable;
import java.util.Locale;
import java.util.Vector;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import cmdbuild.action_forms.*;
import cmdbuild.db.DBService;
import cmdbuild.elements.CMDBuser;
import cmdbuild.collection.SecurityBean;
import cmdbuild.utils.MultiLanguage;
import cmdbuild.utils.SecurityDescriptor;

import org.apache.struts.Globals;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.util.MessageResources;

public class LoginAction extends Action {

	/* (non-Javadoc)
	 * @see org.apache.struts.action.Action#execute(org.apache.struts.action.ActionMapping, org.apache.struts.action.ActionForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	 */
	public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		System.out.println("**LOGINFORM EXECUTE**");
		String where = ((LoginForm)form).getWhere();
		boolean selectRole = ((LoginForm)form).isSelectRole();
		boolean validated = ((LoginForm)form).isValidated();
		String user =  ((LoginForm)form).getUser();
		String role = ((LoginForm)form).getRole();
		String HTMLroles = "";
		Vector policyVector = new Vector();
		SecurityBean sb = null;
		//System.out.println("validated="+validated);
        DBService db = (DBService)servlet.getServletContext().getAttribute("db");
		CMDBuser USER = new CMDBuser(db);
		if (selectRole && !validated){
	        Hashtable roles = new Hashtable();
			if (selectRole){
		        try {
		           	policyVector = USER.selectPolicyByUsername(user);
		        } catch (SQLException e){
		           	e.printStackTrace();
		        }
		        Enumeration en = policyVector.elements();
		        System.out.println("policyVector.size="+policyVector.size());
		        while(en.hasMoreElements()){
		        	sb = (SecurityBean)en.nextElement();
		        	if (!roles.containsKey(sb.getGroup())){
		        		roles.put(sb.getGroup(),sb);
		        		//System.out.println("adding to groups"+sb.getGroup());
		        	}
		        }
		        en = roles.elements();
		        while(en.hasMoreElements()){
		        	sb = (SecurityBean)en.nextElement();
		        	HTMLroles +="<option>"+sb.getGroup()+"</option>"; 
		        }
		        System.out.println("HTMLroles"+HTMLroles);
			}
			((LoginForm)form).setHTMLroles(HTMLroles);
			return mapping.findForward("login");
		} else { // selectRole && validated
			System.out.println("LOGIN ESEGUITO CORRETTAMENTE");
			SecurityDescriptor userSD = (SecurityDescriptor)request.getSession().getAttribute("user");
	        try {
	           	policyVector = USER.selectPolicyByUsername(user);
	        } catch (SQLException e){
	           	e.printStackTrace();
	        }
	        System.out.println("role="+role);
	        Vector realPolicyVector = new Vector();
	        Enumeration en = policyVector.elements();
	        while (en.hasMoreElements()){
	        	sb = (SecurityBean)en.nextElement();
	        	if (sb.getGroup().equals(role)){
	        		realPolicyVector.add(sb);
	        		//System.out.println("sb="+sb.getGroup()+" "+sb.getClassName()+" "+sb.getMode()+" "+sb.getLevel());
	        	}
	        }
	        userSD.setPermitVector(realPolicyVector);
	        request.getSession().setAttribute("user",userSD);
	        String lan = "it";
	        if (request.getParameter("language")!=null){
	        	lan = request.getParameter("language");
	        }
	        Locale local = new Locale(lan); 
	        this.setLocale(request, local);
	        //System.out.println("now locale="+this.getLocale(request).getLanguage());
	        request.getSession().setAttribute(Globals.LOCALE_KEY,local);
	        MessageResources mess =(MessageResources) request.getAttribute(Globals.MESSAGES_KEY);
	        MultiLanguage multilanguage = new MultiLanguage(local,mess);
	        //System.out.println("saluto="+multilanguage.getMessage("com.hello"));
	        request.getSession().setAttribute("multilanguage",multilanguage);
	        request.getSession().setAttribute("settings",((LoginForm)form).getSett());
	        request.getSession().setAttribute("cmdbRealPath",((LoginForm)form).getSett().getCmdbRealPath());
			if (where.equals("Amministrazione")){
				//session.setAttribute("m","");
				return mapping.findForward("administration");
			} else {
				//session.setAttribute("m","");
				return mapping.findForward("data");
			}
		}
	}

}
