package cmdbuild.collection;

public interface AttributeInterface {

	//			CMDBuild					 Database
	public static final int VOID		= 0;  // this is an error
	public static final int BOOLEAN		= 1; // bool
	public static final int INTEGER		= 2; // int4
	public static final int DECIMAL 	= 3; // numeric
	public static final int DOUBLE 		= 4; // float8
	public static final int DATE 		= 5; // date
	public static final int TIMESTAMP 	= 6; // timestamp
	public static final int LOOKUP 		= 7; // int4
	public static final int REFERENCE	= 8; // int4
	public static final int TEXT 		= 9; // text
	public static final int STRING	 	= 10; // varchar
	
	// reference types
	public static final String	RESTRICT 	= "restrict"; 
	public static final String	CASCADE 	= "cascade"; 
	public static final String	SETNULL 	= "setnull"; 
	
	public String javaToDb(int type);
		
	
} // end of interface
