package cmdbuild.collection;

public class HistoryBean {

	private String user;
	private String beginDate;
	private int currentId;
	private String endDate;
	private String relationName;
	private boolean relationMasterDetail;
	private int classId;
	private int objId;
	private boolean attribute; // else relation
	private String relatedObjectCode;
	private String relatedObjectDescription;
	
	public HistoryBean() {
		super();
	}

	
	/***********************/
	/* GETTERS AND SETTERS */
	/***********************/

	public int getClassId() {
		return classId;
	}
	public void setClassId(int classId) {
		this.classId = classId;
	}
	public int getObjId() {
		return objId;
	}
	public void setObjId(int objId) {
		this.objId = objId;
	}
	public String getRelationName() {
		return relationName;
	}
	public void setRelationName(String relationName) {
		this.relationName = relationName;
	}
	public boolean isRelationMasterDetail() {
		return relationMasterDetail;
	}
	public void setRelationMasterDetail(boolean relationMasterDetail) {
		this.relationMasterDetail = relationMasterDetail;
	}
	public String getUser() {
		return user;
	}
	public void setUser(String user) {
		this.user = user;
	}
	public String getBeginDate() {
		return beginDate;
	}
	public void setBeginDate(String beginDate) {
		if (beginDate!=null && beginDate.indexOf(".")!=-1){
			this.beginDate = beginDate.substring(0,beginDate.indexOf("."));
		} else {
			this.beginDate = beginDate;
		}
	}
	public int getCurrentId() {
		return currentId;
	}
	public void setCurrentId(int currentId) {
		this.currentId = currentId;
	}
	public String getEndDate() {
		return endDate;
	}
	public void setEndDate(String endDate) {
		if (endDate!=null && endDate.indexOf(".")!=-1){
			this.endDate = endDate.substring(0,endDate.indexOf("."));
		} else {
			this.endDate = endDate;
		}
	}
	public boolean isAttribute() {
		return attribute;
	}
	public void setAttribute(boolean attribute) {
		this.attribute = attribute;
	}
	public String getRelatedObjectCode() {
		return relatedObjectCode;
	}
	public void setRelatedObjectCode(String relatedObjectCode) {
		this.relatedObjectCode = relatedObjectCode;
	}
	public String getRelatedObjectDescription() {
		return relatedObjectDescription;
	}
	public void setRelatedObjectDescription(String relatedObjectDescription) {
		this.relatedObjectDescription = relatedObjectDescription;
	}
	
} // end of class
