package cmdbuild.presentation;

public class ActionButton extends HTMLtemplate{
	
	private String name;
	private String image;
	private String url;
	private String where; // = (popup || inner)
	private boolean visible=true;
			
	public ActionButton(String name, String image, String url, String where) {
		super();
		this.name = name;
		this.image = image;
		this.url = url;
		this.where = where;
	}
	public ActionButton() {
		super();
	}

	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getImage() {
		return image;
	}
	public void setImage(String image) {
		this.image = image;
	}
	public String getUrl() {
		return url;
	}
	public void setUrl(String url) {
		this.url = url;
	}
	public String getWhere() {
		return where;
	}
	public void setWhere(String where) {
		this.where = where;
	}
	
	public boolean isVisible() {
		return visible;
	}
	public void setVisible(boolean visible) {
		this.visible = visible;
	}

	public String toForm(){
		String HTMLtext="";
		if (visible && where.equals("inner")){ 
			HTMLtext = " <a href=\""+url+"\"><img class=\"icon\" src=\""+image+"\" alt=\""+name+"\" title=\""+name+"\"></a> ";
		} else if (visible && where.equals("popup")){
			HTMLtext = " <a href=\"javascript:void(0)\" onclick=\"window.open('"+url+"',null,'height=400,width=550,status=no,toolbar=no,scrollbars=yes,menubar=no,location=no,resizable');\"><img class=\"icon\" src=\""+image+"\" alt=\"" +name+ "\" title=\""+name+"\"></a> ";
		}
		return HTMLtext;
	}
}
