package cmdbuild.presentation;

import java.util.Enumeration;
import java.util.Iterator;
import java.util.Vector;

public class Header extends HTMLtemplate{

	ActionButton create = new ActionButton();
	ActionButton modify = new ActionButton();
	ActionButton delete = new ActionButton();
	ActionButton copy = new ActionButton();
	ActionButton paste = new ActionButton();
	ActionButton filter = new ActionButton();
	ActionButton nofilter = new ActionButton();
	CheckFilter checkFilter = new CheckFilter();
	Arrows prev = new Arrows();
	Arrows next = new Arrows();
	Arrows first =  new Arrows();
	Arrows last = new Arrows();
	CurrentPage page = new CurrentPage();
	Label label = new Label();
	Vector header=new Vector(); // contains icons showed in the toolbar
	private boolean visible=true;
	
	public Header() {
		super();
		this.header = new Vector();
		create.setName("crea");
		create.setImage("images/ico_add.gif");
		create.setUrl("management.jsp");
		create.setWhere("inner");
		modify.setName("modifica");
		modify.setImage("images/ico_edit.gif");
		modify.setUrl("management.jsp");
		modify.setWhere("inner");
		delete.setName("cancella");
		delete.setImage("images/ico_del.gif");
		delete.setUrl("management.jsp");
		delete.setWhere("inner");
		// copy and paste
		copy.setName("copy");
		copy.setImage("images/ico_copy.gif");
		copy.setUrl("management.jsp");
		copy.setWhere("inner");
		copy.setVisible(false);
		paste.setName("paste");
		paste.setImage("images/ico_paste.gif");
		paste.setUrl("management.jsp");
		paste.setWhere("inner");
		paste.setVisible(false);
		filter.setName("filtro");
		filter.setImage("images/ico_cut.gif");
		filter.setUrl("management.jsp");
		filter.setWhere("inner");
		nofilter.setName("annulla filtro");
		nofilter.setImage("images/ico_nocut.gif");
		nofilter.setUrl("management.jsp");
		nofilter.setWhere("inner");
		page.setCurrent(4);
		page.setTotal(15);
		prev.setName("precedente");
		prev.setImage("images/ico_prev.gif");
		prev.setUrl("javascript:cardForm.method.value='prev';cardForm.submit();");
		next.setName("successivo");
		next.setImage("images/ico_next.gif");
		next.setUrl("javascript:cardForm.method.value='next';cardForm.submit();");
		first.setName("primo");
		first.setImage("images/ico_first.gif");
		first.setUrl("javascript:cardForm.method.value='first';cardForm.submit();");
		last.setName("ultimo");
		last.setImage("images/ico_last.gif");
		last.setUrl("javascript:cardForm.method.value='last';cardForm.submit();");
		label.setLabel("Label di prova");
		checkFilter.setText("Mostra tutto");
		checkFilter.setName("showAll");
		checkFilter.setOnClickAction("javascript:searchForm.method.value='display';showAll.value='on';searchForm.submit()");
		// adding elements!
		header.add(create);
		header.add(modify);
		header.add(delete);
		header.add(copy);
		header.add(paste);
		header.add(filter);
		header.add(nofilter);
		header.add(checkFilter);
		// in comparison order
		header.add(first); 
		header.add(prev);
		header.add(page);
		header.add(next);
		header.add(last);
		header.add(label);
	}
	
	public Header(ActionButton create, ActionButton modify, ActionButton delete, ActionButton copy, ActionButton paste, ActionButton filter, ActionButton nofilter, CheckFilter checkFilter, Arrows prev, Arrows next, Arrows first, Arrows last, CurrentPage page) {
		super();
		this.header = new Vector();
		this.create = create;
		this.modify = modify;
		this.delete = delete;
		this.copy = copy;
		this.paste = paste;
		this.filter = filter;
		this.nofilter = nofilter;
		this.checkFilter = checkFilter;
		this.prev = prev;
		this.next = next;
		this.first = first;
		this.last = last;
		this.page = page;
	}

	public String toForm(){
		String HTMLtext = "";
		if (!visible){
			return HTMLtext;
		}
		HTMLtext = "<div id=\"icons\">\n<table id=\"icotable\">\n\t<tr>\n";
		String tdAB = ""; // contains ActionButton
		String tdCPA = ""; // contains arrows and number of the page
		String tdL = ""; // contains a label
		// header construction
		Iterator i= header.iterator();
		Object obj=null;
		String tipoclasse="";
		int in = 0;
		while (i.hasNext()){
			obj = i.next();
			tipoclasse = obj.getClass().getName();
			in = tipoclasse.lastIndexOf(".");
			tipoclasse = tipoclasse.substring(in+1);
			//System.out.println("card.java "+tipoclasse);
			if (tipoclasse.equals("ActionButton")){
				ActionButton ab = (ActionButton)obj;
				if (tdAB.equals("")){
					tdAB="\t<td class=\"td30\">"+ab.toForm();
				} else {
					tdAB=tdAB+ab.toForm();
				}
			} else if (tipoclasse.equals("CheckFilter")){
				CheckFilter ab = (CheckFilter)obj;
				if (tdAB.equals("")){
					tdAB="\t<td class=\"td30\">"+ab.toForm();
				} else {
					tdAB=tdAB+ab.toForm();
				}
			} else if(tipoclasse.equals("CurrentPage")){
				CurrentPage cp = (CurrentPage)obj;
				if (tdCPA.equals("")){
					tdCPA="\t<td class=\"td30\">"+cp.toForm();
				} else {
					tdCPA=tdCPA+cp.toForm();
				}
			} else if(tipoclasse.equals("Arrows")){
				Arrows a = (Arrows)obj;
				if (tdCPA.equals("")){
					tdCPA="\t<td class=\"td30\">"+a.toForm();
				} else {
					tdCPA=tdCPA+a.toForm();
				}
			} else if(tipoclasse.equals("Label")){
				Label l = (Label)obj;
				if (tdL.equals("")){
					tdL="\t<td class=\"td40\">"+l.toForm();
				} else {
					tdL=tdL+l.toForm();
				}
			}
		} // end while
		// closing td tags
		if (tdAB.equals("")){
			tdAB="\t<td>&nbsp;</td>\n";
		} else {
			tdAB=tdAB+"</td>\n";
		}
		if (tdCPA.equals("")){
			tdCPA="\t<td>&nbsp;</td>\n";
		} else {
			tdCPA=tdCPA+"</td>\n";
		}
		if (tdL.equals("")){
			tdCPA="\t<td>&nbsp;</td>\n";
		} else {
			tdL=tdL+"</td>\n";
		}
		HTMLtext=HTMLtext+tdAB+tdCPA+tdL;
		HTMLtext+="\t</tr>\n</table>\n</div>\n";
		return HTMLtext;
	}

	public void hideAll(){
		Enumeration en = header.elements();
		HTMLtemplate html = null;
		while (en.hasMoreElements()){
			html = (HTMLtemplate) en.nextElement();
			html.setVisible(false);
		}
	}
	public void showAll(){
		Enumeration en = header.elements();
		HTMLtemplate html = null;
		while (en.hasMoreElements()){
			html = (HTMLtemplate) en.nextElement();
			html.setVisible(true);
		}
	}
	
	public ActionButton getCreate() {
		return create;
	}
	public void setCreate(ActionButton create) {
		this.create = create;
	}
	public ActionButton getDelete() {
		return delete;
	}
	public void setDelete(ActionButton delete) {
		this.delete = delete;
	}
	public ActionButton getFilter() {
		return filter;
	}
	public void setFilter(ActionButton filter) {
		this.filter = filter;
	}
	public ActionButton getNofilter() {
		return nofilter;
	}
	public void setNofilter(ActionButton nofilter) {
		this.nofilter = nofilter;
	}
	public Arrows getFirst() {
		return first;
	}
	public void setFirst(Arrows first) {
		this.first = first;
	}
	public Vector getHeader() {
		return header;
	}
	public void setHeader(Vector header) {
		this.header = header;
	}
	public Arrows getLast() {
		return last;
	}
	public void setLast(Arrows last) {
		this.last = last;
	}
	public ActionButton getModify() {
		return modify;
	}
	public void setModify(ActionButton modify) {
		this.modify = modify;
	}
	public Arrows getNext() {
		return next;
	}
	public void setNext(Arrows next) {
		this.next = next;
	}
	public CurrentPage getPage() {
		return page;
	}
	public void setPage(CurrentPage page) {
		this.page = page;
	}
	public Arrows getPrev() {
		return prev;
	}
	public void setPrev(Arrows prev) {
		this.prev = prev;
	}
	public Label getLabel() {
		return label;
	}
	public void setLabel(Label label) {
		this.label = label;
	}
	public CheckFilter getCheckFilter() {
		return checkFilter;
	}
	public void setCheckFilter(CheckFilter checkFilter) {
		this.checkFilter = checkFilter;
	}
	public boolean isVisible() {
		return visible;
	}
	public void setVisible(boolean visible) {
		this.visible = visible;
	}
	public ActionButton getCopy() {
		return copy;
	}
	public void setCopy(ActionButton copy) {
		this.copy = copy;
	}
	public ActionButton getPaste() {
		return paste;
	}
	public void setPaste(ActionButton paste) {
		this.paste = paste;
	}
	
} // end class
