<%@ page contentType="text/html; charset=Cp1252" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>

<%@page import="cmdbuild.db.*"%>
<%@page import="cmdbuild.collection.ClassBean"%>
<%@page import="cmdbuild.collection.AttributeBean"%>
<%@page import="cmdbuild.action_forms.*" %>
<%@page import="cmdbuild.utils.SecurityDescriptor"%>
<%@page import="cmdbuild.utils.MultiLanguage"%>

<%@ page session="true" %>
<% 
SecurityDescriptor user = null;
if (request.getSession().getAttribute("user")!=null){
	user = (SecurityDescriptor)request.getSession().getAttribute("user");
}
if ( (request.getSession().getAttribute("logged")==null) || (request.getSession().getAttribute("logged")=="false")){
%>
	<jsp:forward page="index.jsp">
		<jsp:param name="" value=""/>
	</jsp:forward>	
<%
}
if ( user!=null && !user.isAdministrator()){
%>
	<jsp:forward page="index.jsp">
		<jsp:param name="" value=""/>
	</jsp:forward>	
<%
}
%>

<% 
String classname;
if (request.getParameter("class") != null){
	classname = request.getParameter("class");
	request.getSession().setAttribute("class",classname);
} else if (request.getSession().getAttribute("class") != null ){
	classname = (String)request.getSession().getAttribute("class");
} else {
	classname="";
}
String close="";
if (request.getSession().getAttribute("close") != null){
	close = (String)request.getSession().getAttribute("close");
	request.getSession().removeAttribute("close");
}
MultiLanguage multilanguage = (MultiLanguage)request.getSession().getAttribute("multilanguage");
%>

<html:html locale="true">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=Cp1252"/>
		<title></title>
		<style type="text/css" media="all"> @import "style/popup.css"; </style>
		<script type="text/javascript">
		function closeW(){
			window.opener.document.attributeForm.method.value="del";
			// window.opener.location.href=window.opener.location.href;
			opener.location.href="attribute.jsp?class=<%= classname%>";
			window.close();
		}
		</script>
		<link href="CalendarControl.css" rel="stylesheet" type="text/css">
		<script src="CalendarControl.js" language="javascript"></script>
	</head>
	<%if (close.equals("ok")){ %>
	<body onload="closeW()">
	<%} else {%>
	<body>
	<%} %>
	<div align="center">	
	<div id="area">
		<bean:message key="createattribute.title"/> <%= classname%>
		<div id="container">
			<html:form method="POST" action="createAttribute">
			<table cellpadding="5" cellspacing="0">
				<html:hidden property="method"/>
				<html:hidden property="ADefaultLookup"/>
				<html:hidden property="superClass"/>
				<% 
					CreateAttributeForm form = (CreateAttributeForm) request.getAttribute("createAttributeForm");
					form.setClassName(classname);
					boolean dis = true;
					String extraInputComment="";
					if (form.getAType()==AttributeBean.DECIMAL){ 
						extraInputComment = multilanguage.getMessage("createattribute.precision");
						dis = false;
					} else if (form.getAType()==AttributeBean.STRING) {
						extraInputComment = multilanguage.getMessage("com.length");
						dis = false;
					}
				%>
				<tr><td><bean:message key="com.name"/></td><td><html:text property="AName"></html:text></td></tr>
				<tr><td><bean:message key="com.description"/></td><td><html:text property="ADescription"></html:text></td></tr>
				<tr>
				    <td><bean:message key="com.type"/></td>
				    <td>
				       	<select name="AType"  onchange="method.value='addType';submit()">
				        <option value="<%=AttributeBean.BOOLEAN %>" <%if (form.getAType()==AttributeBean.BOOLEAN) { out.print("selected");} %>>Boolean
				        <option value="<%=AttributeBean.INTEGER %>" <%if (form.getAType()==AttributeBean.INTEGER) { out.print("selected");} %>>Integer
						<option value="<%=AttributeBean.DECIMAL %>" <%if (form.getAType()==AttributeBean.DECIMAL) { out.print("selected");} %>>Decimal
						<option value="<%=AttributeBean.DOUBLE %>" <%if (form.getAType()==AttributeBean.DOUBLE) { out.print("selected");} %>>Double
						<option value="<%=AttributeBean.DATE %>" <%if (form.getAType()==AttributeBean.DATE) { out.print("selected");} %>>Date
						<option value="<%=AttributeBean.TIMESTAMP%>" <%if (form.getAType()==AttributeBean.TIMESTAMP) { out.print("selected");} %>>Timestamp
						<option value="<%=AttributeBean.LOOKUP %>" <%if (form.getAType()==AttributeBean.LOOKUP) { out.print("selected");} %>>Lookup
						<option value="<%=AttributeBean.REFERENCE %>" <%if (form.getAType()==AttributeBean.REFERENCE) { out.print("selected");} %>>Reference
						<option value="<%=AttributeBean.STRING %>" <%if (form.getAType()==AttributeBean.STRING) { out.print("selected");} %>>String
						<option value="<%=AttributeBean.TEXT %>" <%if (form.getAType()==AttributeBean.TEXT) { out.print("selected");} %>>Text
						</select>
				    </td>
				</tr>
				<% if (!dis) {%>
				<tr><td><%= extraInputComment%></td><td><html:text property="extraInput"></html:text></td></tr>
				<%} else {%>
				<tr style="display:none"><td><%= extraInputComment%></td><td><html:text property="extraInput"></html:text></td></tr>
				<%} %>
				
				<% if (form.getAType()==AttributeBean.DATE) {%>
				<tr>
				    <td><bean:message key="com.dateexpire"/></td>
				    <td><input type="checkbox" name="ADateExpire"></td>
				</tr>
				<%} else if (form.getAType()==AttributeBean.LOOKUP) {%>
				<tr>
				    <td><bean:message key="com.lookup"/></td>
				    <td><html:select property="ALookup" onchange="method.value='loadDefaultLookup';submit()">
					<html:optionsCollection property="lookupTypes" value="type" label="type"/>
					</html:select></td>
				</tr>
				<%} else if (form.getAType()==AttributeBean.REFERENCE) {%>
				<tr>
				    <td><bean:message key="com.reference"/></td>
				    <td><html:select property="AReferenceDomain">
					<html:optionsCollection property="domainCollection" value="name" label="name"/>
					</html:select></td>
				</tr>
				<tr>
				    <td><bean:message key="com.referencetype"/></td>
				    <td>
				       	<select name="AReferenceType">
						<option <%if (form.getAReferenceType().equals(AttributeBean.RESTRICT)) { out.print("selected");} %>><%=AttributeBean.RESTRICT %>
						</select>
				    </td>
				</tr>
				<%} else {%>
				<tr style="display:none">
				    <td><bean:message key="com.dateexpire"/></td>
				    <td><input type="checkbox" name="ADateExpire"></td>
				</tr>
				<tr style="display:none">
				    <td><bean:message key="com.lookup"/></td>
				    <td><html:select property="ALookup">
					<html:optionsCollection property="lookupTypes" value="type" label="type"/>
					</html:select></td>
				</tr>
				<tr style="display:none">
				    <td><bean:message key="com.reference"/></td>
				    <td><html:select property="AReferenceDomain">
					<html:optionsCollection property="domainCollection" value="name" label="name"/>
					</html:select></td>
				</tr>
				<tr style="display:none">
				    <td><bean:message key="com.referencetype"/></td>
				    <td>
				       	<select name="AReferenceType">
						<option <%if (form.getAReferenceType().equals(AttributeBean.RESTRICT)) { out.print("selected");} %>><%=AttributeBean.RESTRICT %>
						<option <%if (form.getAReferenceType().equals(AttributeBean.CASCADE)) { out.print("selected");} %>><%=AttributeBean.CASCADE %>
						<option <%if (form.getAReferenceType().equals(AttributeBean.SETNULL)) { out.print("selected");} %>><%=AttributeBean.SETNULL %>
						</select>
				    </td>
				</tr>
				<%} %>
				<tr>
				    <td><bean:message key="com.mandatory"/></td>
				    <td><% if (form.getAMandatory().equals("Y")) {%> 
					       	<select name="AMandatory">
					       	<option value="N"><bean:message key="com.no"/></option>
					        <option value="Y" selected><bean:message key="com.yes"/></option>
							</select>
				    	<%} else {%>
					       	<select name="AMandatory">
					       	<option value="N" selected><bean:message key="com.no"/></option>
				    	    <option value="Y"><bean:message key="com.yes"/></option>
							</select>
				    	<%} %>
				    </td>
				</tr>
				<% if (form.getAType()==AttributeBean.LOOKUP) { // if mandatory lookup%>
				<tr>
					<td><bean:message key="com.default"/></td>
					<td><select name="ADefault"><option value=""></option><option value="<%=form.getADefaultLookup()%>"><%=form.getADefault()%></option></select></td>
				</tr>								
				<%} else if (form.getAType()==AttributeBean.REFERENCE) { // if mandatory reference%>
				<tr><td><bean:message key="com.default"/></td><td><html:text property="ADefault" readonly="true"></html:text></td></tr>								
				<%} else if (form.getAType()==AttributeBean.DATE) { %>
				<tr><td><bean:message key="com.default"/></td><td><html:text property="ADefault" readonly="true"></html:text>						
				<a href="javascript:showCalendarControl(document.createAttributeForm.ADefault);"><img src="images/cal.gif" alt="calendar" title="calendar" border="0"></a></td></tr>		
				<%} else if (form.getAType()==AttributeBean.TIMESTAMP) { %>
				<tr><td><bean:message key="com.default"/></td><td><html:text property="ADefault" readonly="true"></html:text>								
				<a href="javascript:showCalendarControlT(document.createAttributeForm.ADefault);"><img src="images/cal.gif" alt="calendar" title="calendar" border="0"></a></td></tr>		
				<%} else {%>
				<tr><td><bean:message key="com.default"/></td><td><html:text property="ADefault"></html:text></td></tr>
				<%} %>
				<tr><td><bean:message key="com.basedsp"/></td><td><input type="checkbox" name="baseDSP"></td></tr>
				<tr>
				    <td><bean:message key="com.status"/></td>
				    <td>
				       	<select name="AStatus">
				        <option value="active"><bean:message key="com.active"/></option>
						<option value="noactive"><bean:message key="com.noactive"/></option>
						</select>
				    </td>
				</tr>
				<tr><td><input type="button" name="button" value="<bean:message key="com.confirm"/>" onclick="method.value='create';submit();" class="button"></td>
				<td><input type="button" name="button" value="<bean:message key="com.cancel"/>" onclick="window.close();" class="button"></tr>
			</table>
			</html:form>
			<html:errors/>
		</div>
	</div>
	</div> <!-- fine del center -->
	</body>
</html:html>