<%@ page contentType="text/html; charset=Cp1252" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>

<%@page import="cmdbuild.action_forms.*" %>
<%@page import="cmdbuild.collection.*" %>
<%@page import="cmdbuild.utils.Settings" %>
<%@page import="java.util.*"%>

<%@ page session="true" %>
<% 
session = pageContext.getSession();
if ( (session.getAttribute("logged")==null) || (session.getAttribute("logged")=="false")){%>
	<jsp:forward page="index.jsp">
		<jsp:param name="" value=""/>
	</jsp:forward>	
<%}%>

<%
	String name = "";
    if (request.getParameter("class") != null){
		name = request.getParameter("class");
    } else if (request.getSession().getAttribute("class") != null){
		name = (String) request.getSession().getAttribute("class");
	} else {
		Settings sett = (Settings)request.getSession().getAttribute("settings");
		name = sett.getStartingClass();
	}
%>

<html:html locale="true">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=Cp1252"/>
		<title></title>
		<style type="text/css" media="all"> @import "style/header.css"; </style>
		<style type="text/css" media="all"> @import "style/footer.css"; </style>
		<style type="text/css" media="all"> @import "style/menuleft.css"; </style>
		<style type="text/css" media="all"> @import "style/area.css"; </style>
	</head>
	<body>
		
	<%@ include file="include/header-sch.jsp"%>	
	<%@ include file="menutree.jsp"%>

		
	<div id="area">
	    <div id="tab">
	    	<% if (name.equals("")){ %>
			<div class="tabI"><a href="class.jsp?mode=create"><bean:message key="com.classes"/></a></div>
			<%} else {%>
			<div class="tabI"><a href="class.jsp?class=<%= name%>"><bean:message key="com.classes"/></a></div>
			<%} %>
			<div class="tabI"><a href="attribute.jsp?class=<%= name%>"><bean:message key="com.attributes"/></a></div>
			<div class="tabA"><a href="domain.jsp?class=<%= name%>"><bean:message key="com.domains"/></a></div>
		</div>
		<div id="container" align="left">
		<html:form method="POST" action="domain">
		<html:hidden property="method"/>
		<html:hidden property="target"/>
		<html:hidden property="superClassFilter"/>
		<% 
		DomainForm form = (DomainForm)request.getAttribute("domainForm");
		Vector vect = form.getDomainBeanVector(); 
		%>
		<div id="icons">
		<table id="icotable">
			<tr><% if (name.equals("")){ %>
				<td class="td50">
					<a href="javascript:void(0);" onclick="alert('seleziona prima la classe')"><img class="icon" src="images/ico_add.gif" alt="crea dominio" title="crea dominio"></a>
					<a href="javascript:void(0);" onclick="javascript:window.open('showdomain.jsp',null,'height=400,width=800,status=no,toolbar=no,menubar=no,location=no,resizable');"><img class="icon" src="images/ico_show.gif" alt="elenco domini" title="elenco domini"></a>
				</td>
				<%} else {%>
				<td class="td50">
					<a href="javascript:void(0);" onclick="javascript:window.open('createdomain.jsp?class=<%= name %>',null,'height=400,width=450,status=no,toolbar=no,menubar=no,location=no,resizable');"><img class="icon" src="images/ico_add.gif" alt="crea dominio" title="crea dominio"></a>
					<a href="javascript:void(0);" onclick="javascript:window.open('showdomain.jsp',null,'height=400,width=800,status=no,toolbar=no,menubar=no,location=no,resizable');"><img class="icon" src="images/ico_paste.gif" alt="elenco domini" title="elenco domini"></a>
					<% if (!form.isInheritsFromClass()){ %>
						<%if (form.getSuperClassDomain().equals("on")){ %>
						<input class="icon" type="checkbox" name="superClassDomain" onclick="javascript:domainForm.method.value='filter';superClassFilter.value='';domainForm.submit();" checked> <bean:message key="com.showsuperclass"/>
						<%} else { %>
						<input class="icon" type="checkbox" name="superClassDomain" onclick="javascript:domainForm.method.value='filter';superClassFilter.value='on';domainForm.submit();"> <bean:message key="com.showsuperclass"/>
						<%} %>
					<%} %>
				</td>
				<%} %>
				<td class="td50"><bean:message key="com.currentclass"/>: <%= name%></td>
			</tr>
		</table>
		</div>
			<% 
			DomainBean bean = null;
			Enumeration e = vect.elements();
			%>
					<table class="show" cellpadding="0" cellspacing="0">
					<th><bean:message key="com.name"/></th><th><bean:message key="com.directdescription"/></th><th><bean:message key="com.inversedescription"/></th><th><bean:message key="com.startclass"/></th><th><bean:message key="com.endclass"/></th><th><bean:message key="com.masterdetail"/></th><th><bean:message key="com.cardinality"/></th><th>&nbsp;</th>
					<% while (!name.equals("") && e.hasMoreElements()) {
						bean = (DomainBean)e.nextElement();
						if (bean == null) break;
						%>
						<tr <%if (bean.getStatus().equals("noactive")){ out.print("style=\"font-style:italic\""); } %>>
						   <td><% if ((bean.getName() != null) && (bean.getName().length() > 0)) {out.print(bean.getName());} else {out.print("&nbsp;");} %></td>
						   <td><% if ((bean.getDirectDescription() != null) && (bean.getDirectDescription().length() > 0)) {out.print(bean.getDirectDescription());} else {out.print("&nbsp;");} %></td>
						   <td><% if ((bean.getInverseDescription() != null) && (bean.getInverseDescription() .length() > 0)) {out.print(bean.getInverseDescription());} else {out.print("&nbsp;");} %></td>
						   <td><% if ((bean.getStartClass() != null) && (bean.getStartClass().length() > 0)) {out.print(bean.getStartClass());} else {out.print("&nbsp;");} %></td>
						   <td><% if ((bean.getEndClass() != null) && (bean.getEndClass().length() > 0)) {out.print(bean.getEndClass());} else {out.print("&nbsp;");} %></td>
						   <td><% out.print(Boolean.toString(bean.isMasterDetail())); %></td>
						   <td><% if ((bean.getCardinality() != null) && (bean.getCardinality().length() > 0)) {out.print(bean.getCardinality());} else {out.print("&nbsp;");} %></td>						   
						   <td style="width:50px">
						   		<a href="javascript:void(0);" onclick="javascript:window.open('modifydomain.jsp?class=<%= name %>&domain=<%= bean.getName() %>&cardin=<%= bean.getCardinality() %>',null,'height=400,width=450,status=no,toolbar=no,menubar=no,location=no,resizable');"><img src="images/ico_edit.gif" alt="edit" title="edit"></a>
						   		<% if (bean.getStatus().equals("active")){ %>
						   		<a href="javascript:if (confirm('Vuoi veramente cancellare questo dominio?')){domainForm.target.value='<%= bean.getName()%>';domainForm.method.value='del';domainForm.submit();}"><img src="images/ico_del.gif" alt="del" title="del"></a>
						   		<%} else { %>
						   		<a href="javascript:domainForm.target.value='<%= bean.getName()%>';domainForm.method.value='del';domainForm.submit()"><img src="images/ico_undel.gif" alt="del" title="del"></a>
						   		<%} %>
						   </td>
						</tr>
					<% } // end while%>
				</table>
			</html:form>
		</div>
	</div>
		
	<div class="pulito"></div>
		<%@ include file="include/footer.jsp"%>
	</body>
</html:html>