<%@ page contentType="text/html; charset=Cp1252" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>

<%@page import="cmdbuild.presentation.*" %>
<%@page import="cmdbuild.action_forms.SearchForm" %>

<%@ page session="true" %>
<% 
session = pageContext.getSession();
if ( (session.getAttribute("logged")==null) || (session.getAttribute("logged")=="false")){%>
	<jsp:forward page="index.jsp">
		<jsp:param name="" value=""/>
	</jsp:forward>	
<%}%>

<%
String mode="";  // mode types are: filter,create,modify,show || null
if (request.getParameter("mode") != null){
	mode = request.getParameter("mode");
} else if (request.getSession().getAttribute("mode") != null){
	mode = (String) request.getSession().getAttribute("mode");
}
%>

<html:html locale="true">
<head>
	<title></title>
	<style type="text/css" media="all"> @import "style/header.css";</style>
	<style type="text/css" media="all"> @import "style/footer.css";</style>
	<style type="text/css" media="all"> @import "style/menuleft.css";</style>
	<style type="text/css" media="all"> @import "style/area.css";</style>
	<style type="text/css" media="all"> @import "style/tips.css";</style>

	<link href="CalendarControl.css" rel="stylesheet" type="text/css">
	<script src="CalendarControl.js" language="javascript"></script>
	<script language="javascript">
	function goTo(evt,start,end) {
		var page = document.searchForm.pagina.value;
		evt = (evt)?evt:((window.event)?window.event:null);
		var thingPressed="";
		if (evt){
			thingPressed=(evt.charCode)?evt.charCode:((evt.which)?evt.which:evt.keyCode);
			//alert(thingPressed);
			if (thingPressed==13){
				if (isNaN(page)){
					alert('Digita un numero');
				} else if(page>end || page<start){
					alert('Pagina non disponibile');
				} else {
					location.href='search.jsp?mode=show&subpage='+page;
					//alert('search.jsp?mode=show&subpage='+page);
				}
			}
		}
		return false;
	}
	function doSearch(evt) {
		evt = (evt)?evt:((window.event)?window.event:null);
		var thingPressed="";
		if (evt){
			thingPressed=(evt.charCode)?evt.charCode:((evt.which)?evt.which:evt.keyCode);
			if (thingPressed==13){
				searchForm.method.value='filter';
				searchForm.submit();
			}
		}
		return false;
	}
	</script>
	<script language="javascript" type="text/javascript" src="tooltip.js"></script>
	
</head>
<body>
		
	<%@ include file="include/header-ges.jsp"%>	
	<%@ include file="menutree-ges.jsp"%>	
		
	<div id="area">
		<div id="tab">
			<div class="tabA"><a href="search.jsp"><bean:message key="com.search"/></a></div>
			<div class="tabI"><a href="card.jsp?mode=show"><bean:message key="com.card"/></a></div>
			<div class="tabI"><a href="note.jsp"><bean:message key="com.notes"/></a></div>
			<div class="tabI"><a href="relation.jsp"><bean:message key="com.relation"/></a></div>
			<div class="tabI"><a href="history.jsp"><bean:message key="com.history"/></a></div>
		</div>
		<div id="container">
			<html:form method="POST" action="search" onsubmit="return false;">
			<html:hidden property="name"/>
			<html:hidden property="method"/>
			<html:hidden property="currentPage"/>
			<html:hidden property="showAll"/>
			<% 
				SearchForm form = (SearchForm)request.getAttribute("searchForm");
				String className = form.getName();
				boolean nameFromSetting = form.isNameFromSetting();
				if (nameFromSetting){
					mode = "show";
				}
				if (user.isAllowed(className,1)){
					if ( (mode.equals("")) || (mode.equals("show")) ){
						out.print(form.getPresentation().toSearchTable());
						//request.getSession().setAttribute("mode","");
					} else {
						out.print(form.getPresentation().toSearchFilter());
						//request.getSession().setAttribute("mode","filter");
						form.setMode("filter");
					}
				} else {
					out.print(form.getPresentation().toWarning());
				}
			%>
			</html:form>		
		<html:errors/>
		</div> <!-- Fine container -->
	</div> <!-- Fine area -->
		
	<div class="pulito"></div>
	<%@ include file="include/footer.jsp"%>
</body>
</html:html>

