package cmdbuild.action_forms;

import cmdbuild.db.DBService;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.*;
import org.apache.struts.upload.FormFile;

import cmdbuild.utils.MultiLanguage;
import cmdbuild.utils.SecurityDescriptor;
import cmdbuild.wizards.WizardImport;

public class ImportForm extends ActionForm {

	static final long serialVersionUID = 1L;
	private String method;
	private WizardImport imp; // HTML producer 
	private int importPage;
	private FormFile theFile;

	public void reset(ActionMapping mapping, HttpServletRequest request) {
		System.out.println("**IMPORT**");
		
		importPage = 1;
	    if (request.getParameter("importpage") != null){
			importPage = Integer.parseInt(request.getParameter("importpage"));
			request.getSession().setAttribute("importpage",importPage+"");
	    } else if (request.getSession().getAttribute("importpage") != null){
			importPage = Integer.parseInt((String)request.getSession().getAttribute("importpage"));
		} 
	    DBService db = (DBService)servlet.getServletContext().getAttribute("db");
	    MultiLanguage multilanguage = (MultiLanguage)request.getSession().getAttribute("multilanguage");
	    if (request.getSession().getAttribute("import")!=null){
	    	imp = (WizardImport)request.getSession().getAttribute("import");	
	    	//System.out.println("getting import from session");
	    } else {
			imp = new WizardImport(db,multilanguage);
			// getting user from session
			SecurityDescriptor user = null;
			if (request.getSession().getAttribute("user")!=null){
				user = (SecurityDescriptor)request.getSession().getAttribute("user");
			}
			imp.setUser(user);
			request.getSession().setAttribute("import",imp);
			//System.out.println("creating import");
	    }
	    imp.getDataForPage(request,importPage);
	    //request.setAttribute("importForm",this);
	}

	public ActionErrors validate(ActionMapping arg0, HttpServletRequest arg1) {
		ActionErrors errors = new ActionErrors();
		System.out.println("**VALIDATE**");
		/*
		if (importPage==3){
			if (arg1.getParameter("importok")==null || arg1.getParameter("importok").equals("false")){
				errors.add("importook", new ActionMessage("import.notvalid"));
			}
		}
		*/
		return errors;
	}

	public WizardImport getImp() {
		return imp;
	}
	public void setImp(WizardImport imp) {
		this.imp = imp;
	}
	public int getImportPage() {
		return importPage;
	}
	public void setImportPage(int importPage) {
		this.importPage = importPage;
	}
	public String getMethod() {
		return method;
	}
	public void setMethod(String method) {
		this.method = method;
	}
	public FormFile getTheFile() {
		return theFile;
	}
	public void setTheFile(FormFile theFile) {
		this.theFile = theFile;
	}
	
} // end of class
