package cmdbuild.actions;

import java.sql.SQLException;

import cmdbuild.db.DBService;
import cmdbuild.elements.CMDBmacrocategory;
import cmdbuild.collection.ErrorBean;
import cmdbuild.collection.MacroCategoryBean;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

public class CreateMacroCategoryAction extends DispatchActionTemplate {

	public ActionForward create(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		DEBUG.println("**CREATE**");
		ErrorBean err = null;
		String description = request.getParameter("description");
		description = description.trim();
		String status = request.getParameter("status");
		MacroCategoryBean mc = new MacroCategoryBean();
		mc.setDescription(description);
		mc.setStatus(status);
		DBService db = (DBService)servlet.getServletContext().getAttribute("db");
		CMDBmacrocategory MACROCATEGORY = new CMDBmacrocategory(db);
		try {
			MACROCATEGORY.createMacroCategory(mc);
		} catch (SQLException e) {
			err = new ErrorBean("createmacrocategory.jsp",e);
			e.printStackTrace();
		}
		if (err==null){
			String close="ok";
			request.getSession().setAttribute("close",close);
			return mapping.findForward("create");
		} else {
			return mapping.findForward("error");
		}
	}

} // end of class
