package cmdbuild.actions;

import java.sql.SQLException;

import cmdbuild.db.DBService;
import cmdbuild.elements.CMDBlookup;
import cmdbuild.collection.ErrorBean;
import cmdbuild.collection.LookupBean;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

public class CreateTypeLookupAction extends DispatchActionTemplate {

	public ActionForward create(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		DEBUG.println("**CREATE**");
		ErrorBean err = null;
		String description = request.getParameter("description");
		description = description.trim();
		String status = request.getParameter("status");
		LookupBean cb = new LookupBean();
		cb.setType(description);
		cb.setSequence(1);
		cb.setDescription("");
		cb.setStatus(status);
		DBService db = (DBService)servlet.getServletContext().getAttribute("db");
		CMDBlookup LOOKUP = new CMDBlookup(db);
		try {
			LOOKUP.createLookup(cb);
		} catch (SQLException e) {
			err = new ErrorBean("createtypelookup.jsp",e);
			e.printStackTrace();
		}
		if (err==null){
			String close="ok";
			request.getSession().setAttribute("close",close);
			return mapping.findForward("create");
		} else {
			return mapping.findForward("error");
		}
	}

} // end of class
