package cmdbuild.actions;


import java.sql.SQLException;

import cmdbuild.action_forms.ModifyUserForm;
import cmdbuild.db.DBService;
import cmdbuild.elements.CMDBuser;
import cmdbuild.utils.SecurityEncrypter;
import cmdbuild.collection.SecurityBean;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.actions.DispatchAction;

public class ModifyUserAction extends DispatchAction {

	/* (non-Javadoc)
	 * @see org.apache.struts.action.Action#execute(org.apache.struts.action.ActionMapping, org.apache.struts.action.ActionForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	 */
	public ActionForward modify(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		System.out.println("*MUA MODIFY*");
		SecurityBean sb = new SecurityBean();
		String userName = ((ModifyUserForm)form).getUserName();
		String description = ((ModifyUserForm)form).getDescription();
		String password = ((ModifyUserForm)form).getPassword();
		int id = ((ModifyUserForm)form).getId();
		String us = ((ModifyUserForm)form).getUser().getUserName();
		//String confirmPassword = ((ModifyUserForm)form).getConfirmPassword();
		int[] role = ((ModifyUserForm)form).getGroupId();
		String status = ((ModifyUserForm)form).getStatus();
		sb.setId(id);
		sb.setUsername(userName);
		System.out.println("userName="+userName+" userid="+sb.getId());
		sb.setDescription(description);
		// encrypt password
		SecurityEncrypter se = new SecurityEncrypter();
		sb.setPassword(se.encrypt(password));
		if (status.equals("active")){
			sb.setStatus("A");	
		} else {
			sb.setStatus("S");
		}
		// String category = ((CreateTableForm)form).getCategory();
		DBService db = (DBService)servlet.getServletContext().getAttribute("db");
		CMDBuser USER = new CMDBuser(db);
		boolean ok = false;
		try {
			ok = USER.modifyUser(sb,role,us);
		} catch (SQLException e){
			e.printStackTrace();
		}
		if (ok){
			//System.out.println("Dominio creato " + name);
			String close="ok";
			request.getSession().setAttribute("close",close);
			return mapping.findForward("modify");
		} else {
			System.out.println("Utente non creato");
			return mapping.findForward("error");
		}
	}
} // end of class
