package cmdbuild.actions;

import java.sql.SQLException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.*;
import org.apache.struts.actions.DispatchAction;

import cmdbuild.action_forms.ReportForm;
import cmdbuild.collection.ErrorBean;
import cmdbuild.collection.ReportBean;
import cmdbuild.elements.CMDBreport;

public class ReportAction extends DispatchAction {

	public ActionForward copy(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		System.out.println("**COPY**");
		String t = request.getParameter("target");
		int target = Integer.parseInt(t);
		CMDBreport REPORT = ((ReportForm)form).getREPORT();
		ReportBean rb = REPORT.selectReportById(target);
		request.getSession().setAttribute("reportToCopy",rb);
		return mapping.findForward("copy");
	}
	
	public ActionForward paste(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		System.out.println("**PASTE**");
		ReportBean rb = (ReportBean) request.getSession().getAttribute("reportToCopy");
		if (rb!=null){
			CMDBreport REPORT = ((ReportForm)form).getREPORT();
			REPORT.createReport(rb);
		}
		request.getSession().setAttribute("reportToCopy",null);
		((ReportForm)form).reset(mapping,request);
		return mapping.findForward("paste");
	}
	
	public ActionForward delete(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		System.out.println("**DELETE**");
		ErrorBean err = null;
		String t = request.getParameter("target");
		int target = 0;
		try {
			target = Integer.parseInt(t);
		} catch (NumberFormatException e) {
		}
		CMDBreport REPORT = ((ReportForm)form).getREPORT();
		//ReportBean rb = REPORT.selectReportById(target);
		if (target!=0){
			try {
				REPORT.deleteReportById(target);
			} catch (SQLException e) {
				err = new ErrorBean("report.jsp",e);
				e.printStackTrace();
			}
		}
		if (err==null){
			((ReportForm)form).reset(mapping,request);
			return mapping.findForward("delete");
		} else {
			return mapping.findForward("error");
		}
	}

} // end class
