package cmdbuild.actions;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.*;
import org.apache.struts.actions.DispatchAction;

import cmdbuild.action_forms.WizardForm;
import cmdbuild.wizards.WizardManager;

public class WizardAction extends DispatchAction {

	/*
	public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		System.out.println("**EXECUTE**");
		return mapping.findForward("back");
	}
	*/

	public ActionForward back(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		System.out.println("**BACK**");
		int page = ((WizardForm)form).getWizardPage();
		//WizardManager wizard = ((WizardForm)form).getWizard();
		if (page>1){
			// no action when back
			//System.out.println("page was "+page);
			page--;
			//System.out.println("page is "+page);
			request.getSession().setAttribute("wizardpage",""+page);
		}
		form.reset(mapping,request);
		return mapping.findForward("back");
	}
	
	public ActionForward next(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		System.out.println("**NEXT**");
		int page = ((WizardForm)form).getWizardPage();
		WizardManager wizard = ((WizardForm)form).getWizard();
		if (page>0){
			wizard.actionForPage(request,page);
			//System.out.println("page was "+page);
			page++;
			//System.out.println("page is "+page);
			request.getSession().setAttribute("wizardpage",""+page);
		}
		form.reset(mapping,request);
		if (request.getSession().getAttribute("error")!=null){
			return mapping.findForward("error");
		} else {
			return mapping.findForward("next");
		}
	}

	// implements onchange in drop down 
	public ActionForward search(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		System.out.println("**SEARCH**");
		WizardManager wizard = ((WizardForm)form).getWizard();
		String search = request.getParameter("search");
		int page = ((WizardForm)form).getWizardPage();
		if (page==3){
			wizard.getWiz().getChoice().put("startClass",search);
			//System.out.println("Search action="+search+" page startClass");
		} else {
			wizard.getWiz().getChoice().put("endClass",search);
			//System.out.println("Search action="+search+" page endClass");
		}
		// calling reset method
		((WizardForm)form).reset(mapping,request);
		return mapping.findForward("search");
	   }

} // end class
