package cmdbuild.collection;

import java.io.Serializable;

public class DomainBean implements Serializable,DomainInterface{

	static final long serialVersionUID = 1L;
	private int id;
	private String name;
	private String domainMode;
	private String directDescription;
	private String inverseDescription;
	private String startClass;
	private String endClass;
	private boolean masterDetail;
	private boolean showMenu;   // if masterDetail choose if you want get off menu 
	private String status;
	private String cardinality;
	
	public DomainBean() {
		super();
	}


	/***********************/
	/* GETTERS AND SETTERS */
	/***********************/

	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getDirectDescription() {
		return directDescription;
	}
	public void setDirectDescription(String directDescription) {
		this.directDescription = directDescription;
	}
	public String getEndClass() {
		return endClass;
	}
	public void setEndClass(String endClass) {
		this.endClass = endClass;
	}
	public String getInverseDescription() {
		return inverseDescription;
	}
	public void setInverseDescription(String inverseDescription) {
		this.inverseDescription = inverseDescription;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getStartClass() {
		return startClass;
	}
	public void setStartClass(String startClass) {
		this.startClass = startClass;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getCardinality() {
		return cardinality;
	}
	public void setCardinality(String cardinality) {
		this.cardinality = cardinality;
	}
	public String getDomainMode() {
		return domainMode;
	}
	public void setDomainMode(String domainMode) {
		this.domainMode = domainMode;
	}
	public boolean isMasterDetail() {
		return masterDetail;
	}
	public void setMasterDetail(boolean masterDetail) {
		this.masterDetail = masterDetail;
	}
	public boolean isShowMenu() {
		return showMenu;
	}
	public void setShowMenu(boolean showMenu) {
		this.showMenu = showMenu;
	}
	

} // end of class
