package cmdbuild.presentation;

import cmdbuild.collection.AssetBean;
import cmdbuild.collection.AttributeBean;
import cmdbuild.collection.LookupBean;
import cmdbuild.utils.GenerateTips;

import java.util.Enumeration;
import java.util.Hashtable;
import java.util.Vector;

public class HTMLplanner extends HTMLclass{

	public HTMLplanner() {
		super();
	}

	public String toSearchTable() {
		// transform Vector in Hashtable
		GenerateTips gentips = new GenerateTips(tipsVector);
		Hashtable tips = gentips.getTips();
		// creating lookup hash
		lookupHash = new Hashtable();
		referenceMap = new Hashtable();
		LookupBean lb = null;
		Enumeration en = null;
		if (lookupVector!=null){
			en = lookupVector.elements();
			while (en.hasMoreElements()){
				lb = (LookupBean)en.nextElement();
				if (!lookupHash.containsKey(lb.getId()+"")){
					lookupHash.put(lb.getId()+"",lb.getDescription());
				}
			}
		}
		// generate reference mapping
		Vector vett = new Vector();
		en = referenceHash.elements();
		while (en.hasMoreElements()){
			vett.addAll( (Vector)en.nextElement() );
		}
		en = vett.elements();
		while (en.hasMoreElements()){
			lb = (LookupBean)en.nextElement();
			referenceMap.put(lb.getId()+"",lb.getDescription());
		}
		String HTMLtext = header.toForm();
		Vector assetVector = null;
		AssetBean as = null;
		if(reportVector==null){
			System.out.println("reportVector==null");
		}
    	if(reportVector!=null){
			int tot = totalPages/resultsForPage;
			System.out.println(totalPages+"/"+resultsForPage+"tot="+tot);
			if (totalPages%resultsForPage!=0){
				tot++;
			}
			int first,prev,next,last;
			first = 1;
			if (subpage>1){
				prev=subpage-1;
			} else {
				prev = 1;
			}
			if (subpage<tot){
				next=subpage+1;
			} else {
				next = tot;
			}
			last = tot;
			if (tot==0){
				subpage=0;
			}
 			//System.out.println("start"+start+"end"+end);
			HTMLtext+= "<table><tr><td colspan=\"5\">"+multilanguage.getMessage("HTMLclass.atpage")+" <input type=\"text\" size=\"3\" name=\"pagina\" maxlength=\"3\" value=\""+subpage+"\" onkeypress=\"goTo(event,"+first+","+last+")\"> di "+tot;
			HTMLtext+= "<a href=\"search.jsp?mode=show&subpage="+first+"\"><img src=\"images/ico_first.gif\" alt=\"first\" title=\"first\"></a><a href=\"search.jsp?mode=show&subpage="+prev+"\"><img src=\"images/ico_prev.gif\" alt=\"previous\" title=\"previous\"></a><a href=\"search.jsp?mode=show&subpage="+next+"\"><img src=\"images/ico_next.gif\" alt=\"next\" title=\"next\"></a><a href=\"search.jsp?mode=show&subpage="+last+"\"><img src=\"images/ico_last.gif\" alt=\"last\" title=\"last\"></a>";
			HTMLtext+= "</td></tr></table>";
 	    	HTMLtext+="<table class=\"show\" cellpadding=\"0\" cellspacing=\"0\">\n";
 			// creating header of the table
 			en = thVector.elements();
 			AttributeBean ab = null;
 			// adding classDescription as first column
 			HTMLtext+="<th>Classe</th>";
 			while (en.hasMoreElements()){
				ab = (AttributeBean)en.nextElement();
				if (!ab.getName().equals("ActualId") && !ab.getName().equals("IdClass")){
					if (ab.getBaseDSP().equals("true")){
	 					HTMLtext+="<th>"+ab.getDescription()+"</th>";
					}
				}
 			}
 			
 			HTMLtext+="<th>&nbsp;</th>\n";
 			// creating the table
 			String value="";
 			String link = "";
 			String tip = "";
 			Enumeration enr = reportVector.elements();
 			int page=0;
 			if (subpage!=0){
 				page = (subpage-1)*resultsForPage;
 			}
 			while (enr.hasMoreElements()){
 				page++;
				assetVector = (Vector)enr.nextElement();
 				Enumeration eni = assetVector.elements();
 				as = (AssetBean)assetVector.elementAt(0); // ActualId
 				int objid = 0;
 				if (as!=null){
 	 				tip = (String)tips.get(as.getClassBean().getId()+"-"+as.getValue());
 	 				objid = Integer.parseInt(as.getValue());
 	 				if (tip==null){ tip=""; }
 				}
				if (pageToHighlight!=page){
					HTMLtext+="<tr>";
				} else {
					HTMLtext+="<tr style=\"color: red;\">";
				}
 	 			// adding classDescription as first column
 	 			HTMLtext+="<td class=\"arrow\" onmouseover=\"tooltip(this,'"+tip+"');\" onmouseout=\"exit();\">"+as.getClassBean().getDescription()+"</td>";
 				while(eni.hasMoreElements()){
 					as = (AssetBean)eni.nextElement();
 					if (!as.getName().equals("ActualId") && !as.getName().equals("IdClass")){
 						if (as.getBaseDSP().equals("true")){
 							value = as.getValue();
 							if (value==null || value.equals("")){
 								value="&nbsp;";
 							} else if(as.getType()==AttributeBean.LOOKUP){
 								value = (String)lookupHash.get(value);
							} else if(as.getType()==AttributeBean.REFERENCE){
 								value = (String)referenceMap.get(value);
 							}
 			 				if (user!=null && user.isAllowed(className,1)){
 			 	 				link ="<a href=\"card.jsp?class="+as.getClassBean().getName()+"&classid="+as.getClassBean().getId()+"&objid="+objid+"&mode=show\">"+value+"</a>";
 			 				} else {
 			 	 				link ="<a href=\"javascript:alert('"+multilanguage.getMessage("com.youhavenopermission")+"');\">"+value+"</a>";
 			 				}
 	 						if (pageToHighlight!=page){
 								HTMLtext+="<td>"+link+"</td>";
 	 						} else {
 								HTMLtext+="<td style=\"color: red;\">"+link+"</td>";
 							}
 						}
 					}
 				}
 				HTMLtext+="<td>";
 				// don't show button goto
 				/*
 				if (user!=null && user.isAllowed(className,1)){
 	 				HTMLtext+="<a href=\"card.jsp?class="+as.getClassBean().getName()+"&classid="+as.getClassBean().getId()+"&objid="+objid+"&mode=show\"><img class=\"icon\" src=\"images/ico_link.gif\" alt=\"go to\" title=\"go to\"></a>";
 				} else {
 	 				HTMLtext+="<a href=\"javascript:alert('"+multilanguage.getMessage("com.youhavenopermission")+"');\"><img class=\"icon\" src=\"images/ico_link.gif\" alt=\"go to\" title=\"go to\"></a>";
 				}
 				*/
 				if (user!=null && user.isAllowed(className,3)){
 	 				HTMLtext+="<a href=\"relation.jsp?class="+as.getClassBean().getName()+"&classid="+as.getClassBean().getId()+"&objid="+objid+"&mode=show\"><img class=\"icon\" src=\"images/ico_add.gif\" alt=\"add relation\" title=\"add relation\"></a>";

 				} else {
 	 				HTMLtext+="<a href=\"javascript:alert('"+multilanguage.getMessage("com.youhavenopermission")+"');\"><img class=\"icon\" src=\"images/ico_add.gif\" alt=\"add\" title=\"add\"></a>";
 				}
 				HTMLtext+="</td>\n";
 				HTMLtext+="</tr>\n";
			}	
 			HTMLtext+="</table>\n";
    	}
		return HTMLtext;
	}

} // end of class
