<%@ page contentType="text/html; charset=Cp1252" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>

<%@page import="cmdbuild.action_forms.*" %>
<%@page import="cmdbuild.collection.*" %>
<%@page import="cmdbuild.utils.Settings" %>
<%@page import="java.util.*"%>

<%@ page session="true" %>
<% 
session = pageContext.getSession();
if ( (session.getAttribute("logged")==null) || (session.getAttribute("logged")=="false")){%>
	<jsp:forward page="index.jsp">
		<jsp:param name="" value=""/>
	</jsp:forward>	
<%}%>

<%
	String name = "";
    if (request.getParameter("class") != null){
		name = request.getParameter("class");
		request.getSession().setAttribute("class",name);
    } else if (request.getSession().getAttribute("class") != null){
		name = (String) request.getSession().getAttribute("class");
	} else {
		Settings sett = (Settings)request.getSession().getAttribute("settings");
		name = sett.getStartingClass();
	}
%>

<html:html locale="true">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=Cp1252"/>
		<title></title>
		<style type="text/css" media="all"> @import "style/header.css"; </style>
		<style type="text/css" media="all"> @import "style/footer.css"; </style>
		<style type="text/css" media="all"> @import "style/menuleft.css"; </style>
		<style type="text/css" media="all"> @import "style/area.css"; </style>
	</head>
	<body>
		
	<%@ include file="include/header-sch.jsp"%>	
	<%@ include file="menutree.jsp"%>

		
	<div id="area">
		<div id="tab">
			<% if (name.equals("")){ %>
			<div class="tabI"><a href="class.jsp?mode=create"><bean:message key="com.classes"/></a></div>
			<%} else {%>
			<div class="tabI"><a href="class.jsp?class=<%= name%>"><bean:message key="com.classes"/></a></div>
			<%} %>
			<div class="tabA"><a href="attribute.jsp?class=<%= name%>"><bean:message key="com.attributes"/></a></div>
			<div class="tabI"><a href="domain.jsp?class=<%= name%>"><bean:message key="com.domains"/></a></div>
		</div>
		
		<div id="container" align="left">
		<html:form method="POST" action="attribute">
		<html:hidden property="className"/>
		<html:hidden property="method"/>
		<html:hidden property="comment"/>
		<html:hidden property="mode"/>
		<html:hidden property="index"/>
		<html:hidden property="target"/>
		<html:hidden property="superClassFilter"/>
		<% AttributeForm form = (AttributeForm)request.getAttribute("attributeForm"); %>
		<div id="icons">
		<table id="icotable">
			<tr><% if (name.equals("")){ %>
				<td class="td50"><a href="javascript:void(0)" onclick="alert('seleziona prima la classe')"><img class="icon" src="images/ico_add.gif" alt="crea attributo" title="crea attributo"></a></td>
				<%} else if (!form.getMode().equals("write")){ %>
				<td class="td50">
					<%if (!form.isInheritsFromClass()){ %>
						<%if (form.getSuperClassAttribute()!=null && form.getSuperClassAttribute().equals("on")){ %>
						<input class="icon" type="checkbox" name="superClassAttribute" onclick="javascript:attributeForm.method.value='filter';superClassFilter.value='';attributeForm.submit();"> <bean:message key="com.showsuperclass"/>
						<%} else { %>
						<input class="icon" type="checkbox" name="superClassAttribute" onclick="javascript:attributeForm.method.value='filter';superClassFilter.value='on';attributeForm.submit();" checked> <bean:message key="com.showsuperclass"/>
						<%} %>
					<%} %>	
				</td>
				<%} else {%>
				<td class="td50">
					<a href="javascript:void(0)" onclick="window.open('createattribute.jsp?class=<%= name%>',null,'height=400,width=450,status=no,toolbar=no,menubar=no,location=no,resizable');"><img class="icon" src="images/ico_add.gif" alt="add" title="add"></a>
					<% if (!form.isInheritsFromClass()){ %>
						<%if (form.getSuperClassAttribute()!=null && form.getSuperClassAttribute().equals("on")){ %>
						<input class="icon" type="checkbox" name="superClassAttribute" onclick="javascript:attributeForm.method.value='filter';superClassFilter.value='';attributeForm.submit();"> <bean:message key="com.showsuperclass"/>
						<%} else { %>
						<input class="icon" type="checkbox" name="superClassAttribute" onclick="javascript:attributeForm.method.value='filter';superClassFilter.value='on';attributeForm.submit();" checked> <bean:message key="com.showsuperclass"/>
						<%} %>
					<%} %>	
				</td>
				<%} %>
				<td class="td50"><bean:message key="com.currentclass"/>: <%= name%></td>
			</tr>
		</table>
		</div>
			<% 
			Vector vect = form.getAttributeBeanVector();
			AttributeBean bean = null;
			int max = 0; // keep track of the max index for insertion
			Vector namePosition = new Vector(); // contains a list of index/name elements
			CategoryBean np = new CategoryBean(); // used in namePosition
			%>
				<table class="show" cellpadding="0" cellspacing="0">
					<th><bean:message key="com.name"/></th><th><bean:message key="com.description"/></th><th><bean:message key="com.type"/></th><th><bean:message key="attribute.length"/></th><th><bean:message key="com.lookup"/></th><th><bean:message key="com.reference"/></th><th><bean:message key="attribute.mandatory"/></th><th><bean:message key="com.default"/></th><th><bean:message key="attribute.base"/></th><th>&nbsp;</th>
					<% 
					if (vect!=null) {
						Enumeration e = vect.elements();
						while (e.hasMoreElements()) {
							bean = (AttributeBean)e.nextElement();
							if (bean == null) break;
							np.setMacroCategoryId(bean.getIndex());
							np.setDescription((bean.getName()));
							namePosition.add(np);
							if (bean.getIndex() > max){
								max = bean.getIndex(); 
							}
						%>
						<tr <% if (bean.getStatus().equals("noactive")){ out.print("style=\"font-style:italic\"");}%>>
						<td><% if ((bean.getName()!= null) && (bean.getName().length() > 0)) {out.print(bean.getName());} else {out.print("&nbsp;");} %></td>
						<td><% if ((bean.getDescription() != null) && (bean.getDescription().length() > 0)) {out.print(bean.getDescription());} else {out.print("&nbsp;");} %></td>
						<td><% switch (bean.getType()) {
					       			case AttributeBean.BOOLEAN:    out.print("Boolean");   break;
						   		 	case AttributeBean.INTEGER:    out.print("Integer");   break;
						     		case AttributeBean.DECIMAL:    out.print("Decimal");   break;
						   			case AttributeBean.DOUBLE:     out.print("Double");    break;
						     		case AttributeBean.DATE:       out.print("Date");      break;
					    		   	case AttributeBean.TIMESTAMP:  out.print("Timestamp"); break;
					    		   	case AttributeBean.LOOKUP:     out.print("Lookup");    break;
					  		      	case AttributeBean.REFERENCE:  out.print("Reference"); break;
					 		       	case AttributeBean.TEXT:       out.print("Text");      break;
					       		  	case AttributeBean.STRING:     out.print("String");    break;
							       	default	:			           out.print("&nbsp;");	   break;
								}    	
 							%>
						</td>
						<td><% if (bean.getLength()>0) {out.print(bean.getLength());} else {out.print("&nbsp;");} %></td>
						<td><% if ((bean.getLookup()!= null) && (bean.getLookup().length() > 0)) {out.print(bean.getLookup());} else {out.print("&nbsp;");} %></td>
						<td><% if ((bean.getReferenceDomain()!= null) && (bean.getReferenceDomain().length() > 0)) {out.print(bean.getReferenceDomain());} else {out.print("&nbsp;");} %></td>
						<td><% if ((bean.getMandatory()!= null) && (bean.getMandatory().length() > 0)) {out.print(bean.getMandatory());} else {out.print("&nbsp;");} %></td>
						<td><% if ((bean.getDefaultValue()!= null) && (bean.getDefaultValue().length() > 0)) {out.print(bean.getDefaultValue());} else {out.print("&nbsp;");} %></td>
						<td><% if ((bean.getBaseDSP()!= null) && (bean.getBaseDSP().length() > 0)) {if (bean.getBaseDSP().equals("true")){out.print("S");} else {out.print("N");} } else {out.print("&nbsp;");} %></td>
						<td style="width:100px">
							<% if (form.getMode().equals("write") && bean.getMode().equals("write")){ %>
								<a href="javascript:void(0);" onclick="javascript:window.open('modifyattribute.jsp?class=<%= name%>&name=<%= bean.getName()%>',null,'height=400,width=450,status=no,toolbar=no,menubar=no,location=no,resizable');"><img src="images/ico_edit.gif" alt="edit" title="edit"></a>
								<% if (bean.getClassBean().getName().equals(name)){%>
									<% if (bean.getStatus().equals("active")){%>
						   			<a href="javascript:if (confirm('<bean:message key="attribute.deletealert"/>')){attributeForm.target.value='<%= bean.getName()%>';attributeForm.method.value='del';attributeForm.submit();}"><img src="images/ico_del.gif" alt="del" title="del"></a>
						   			<%} else {%>
						   			<a href="javascript:attributeForm.target.value='<%= bean.getName()%>';attributeForm.method.value='del';attributeForm.submit();"><img src="images/ico_undel.gif" alt="undel" title="undel"></a>
						   			<%} %>
						   		<%} %>	
						   		<a href="javascript:attributeForm.target.value='<%= bean.getName()%>';attributeForm.index.value='<%= bean.getIndex()%>';attributeForm.method.value='down';attributeForm.submit()"><img src="images/ico_down.gif" alt="down" title="down"></a>
						   		<a href="javascript:attributeForm.target.value='<%= bean.getName()%>';attributeForm.index.value='<%= bean.getIndex()%>';attributeForm.method.value='up';attributeForm.submit()"><img src="images/ico_up.gif" alt="up" title="up"></a>
						   	<%} else if (!bean.getName().equals("Notes")){ %>
						   	<a href="javascript:void(0);" onclick="javascript:window.open('modifyattribute.jsp?class=<%= name%>&name=<%= bean.getName()%>',null,'height=400,width=450,status=no,toolbar=no,menubar=no,location=no,resizable');"><img src="images/ico_edit.gif" alt="edit" title="edit"></a>
						   	<%} else {%>
						   	&nbsp;
						   	<%} %>
					    </td>
						</tr>
					<% } //end while
						form.setNamePosition(namePosition);  // save namePosition
						String m = Integer.toString(max);
						request.getSession().setAttribute("max",m); 
					}//end if vect!=null%>
				</table>
			</html:form>
		</div> <!-- End container -->
	</div>
		
	<div class="pulito"></div>
		<%@ include file="include/footer.jsp"%>
	</body>
</html:html>