<%@ page contentType="text/html; charset=Cp1252" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>

<%@page import="cmdbuild.presentation.*" %>
<%@page import="cmdbuild.action_forms.CardForm" %>

<%@ page session="true" %>
<% 
session = pageContext.getSession();
if ( (session.getAttribute("logged")==null) || (session.getAttribute("logged")=="false")){%>
	<jsp:forward page="index.jsp">
		<jsp:param name="" value=""/>
	</jsp:forward>	
<%}%>

<%
String mode="";  // mode types are: filter,create,modify,show || null
if (request.getParameter("mode") != null){
	mode = request.getParameter("mode");
} else if (request.getSession().getAttribute("mode")!=null){
	mode = (String)request.getSession().getAttribute("mode");
} 
String masterDetail="";  
if (request.getParameter("masterdetail") != null){
	masterDetail = request.getParameter("masterdetail");
} else if (request.getSession().getAttribute("masterdetail")!=null){
	masterDetail = (String)request.getSession().getAttribute("masterdetail");
} 
%>
<%--
// getting user from session
SecurityDescriptor user = null;
String us = null;
if (request.getSession().getAttribute("user")!=null){
	user = (SecurityDescriptor)request.getSession().getAttribute("user");
	us = user.getUserName();
}
--%>

<html:html locale="true">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=Cp1252"/>
	<title></title>
	<style type="text/css" media="all"> @import "style/header.css";</style>
	<style type="text/css" media="all"> @import "style/footer.css";</style>
	<style type="text/css" media="all"> @import "style/menuleft.css";</style>
	<style type="text/css" media="all"> @import "style/area.css";</style>

	<link href="CalendarControl.css" rel="stylesheet" type="text/css">
	<script src="CalendarControl.js" language="javascript"></script>
	<script language="javascript">
	function goTo(evt,start,end) {
		//var page = document.cardForm.pagina.value;
		evt = (evt)?evt:((window.event)?window.event:null);
		var thingPressed="";
		if (evt){
			thingPressed=(evt.charCode)?evt.charCode:((evt.which)?evt.which:evt.keyCode);
			//alert(thingPressed);
			if (thingPressed==13){
				if (isNaN(page)){
					alert('Digita un numero');
				} else if(page>end || page<start){
					alert('Pagina non disponibile');
				} else {
					location.href='card.jsp?mode=show&masterdetail=<%= masterDetail%>';
					//alert('search.jsp?mode=show&subpage='+page);
				}
			}
		}
		return false;
	}
	</script>
</head>
<body>
	<%@ include file="include/header-ges.jsp"%>	
	<%@ include file="menutree-ges.jsp"%>	
	
	<div id="area">
		<div id="tab">
			<div class="tabI"><a href="search.jsp"><bean:message key="com.search"/></a></div>
			<div class="tabA"><a href="card.jsp"><bean:message key="com.card"/></a></div>
			<div class="tabI"><a href="note.jsp"><bean:message key="com.notes"/></a></div>
			<div class="tabI"><a href="relation.jsp"><bean:message key="com.relations"/></a></div>
			<div class="tabI"><a href="history.jsp"><bean:message key="com.history"/></a></div>
		</div>
		<div id="container">
			<html:form method="POST" action="card">
			<html:hidden property="className"/>
			<html:hidden property="method"/>
			<html:hidden property="currentPage"/>
			<html:hidden property="targetClass"/>
			<html:hidden property="targetObjId"/>
			<html:hidden property="masterDetail"/>
			<% 
				CardForm form = (CardForm)request.getAttribute("cardForm");
 				String className = form.getClassName();
				if (user.isAllowed(className,1)){
					if ( (mode.equals("")) || (mode.equals("show")) ){
						if (masterDetail.length()==0){
							out.print(form.getPresentation().toCardFormMaster());	
						} else {
							out.print(form.getPresentation().toCardFormDetail());
						}
					} else if(mode.equals("create")){
						out.print(form.getPresentation().toCardCreate());
					} else if(mode.equals("modify")){
						out.print(form.getPresentation().toCardModify());
					} else {
						out.print(form.getPresentation().toCardForm());
					}
				} else {
					out.print(form.getPresentation().toWarning());
				}
			%>
			</html:form>
		<html:errors/>
		</div> <!-- Fine container -->
	</div> <!-- Fine area -->
		
	<div class="pulito"></div>
	<%@ include file="include/footer.jsp"%>
</body>
</html:html>

