<%@ page contentType="text/html; charset=Cp1252" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>

<%@page import="cmdbuild.presentation.*" %>
<%@page import="cmdbuild.action_forms.CardPopupForm" %>
<%@page import="cmdbuild.utils.SecurityDescriptor"%>
<%@page import="cmdbuild.collection.InheritsBean" %>

<%@ page session="true" %>
<% 
session = pageContext.getSession();
if ( (session.getAttribute("logged")==null) || (session.getAttribute("logged")=="false")){%>
	<jsp:forward page="index.jsp">
		<jsp:param name="" value=""/>
	</jsp:forward>	
<%}%>

<%
String mode = "";
if (request.getParameter("mode") != null){
	mode = request.getParameter("mode");
} else {
	mode="create";
}
String masterClass = "";
if (request.getParameter("masterclass") != null){
	masterClass = request.getParameter("masterclass");
} else {
	masterClass = "";
}
int masterObjId = 0;
if (request.getParameter("masterobjid") != null){
	try {
		masterObjId = Integer.parseInt(request.getParameter("masterobjid"));
	} catch (NumberFormatException e) {
		masterObjId = 0;
	}
}
String detailClass = "";
if (request.getParameter("detailclass") != null){
	detailClass = request.getParameter("detailclass");
} else {
	detailClass = "";
}
int detailObjId = 0;
if (request.getParameter("detailobjid") != null){
	try {
		detailObjId = Integer.parseInt(request.getParameter("detailobjid"));
	} catch (NumberFormatException e) {
		detailObjId = 0;
	}
}
InheritsBean inh = null; 
if (masterClass==null || masterClass.length()==0){
	inh = (InheritsBean) request.getSession().getAttribute("cardpopup");
	masterClass = inh.getParent();
	masterObjId = inh.getParentId();
	detailClass = inh.getChild();
	detailObjId = inh.getChildId();
	mode = inh.getParentDescription();
}

String close="";
if (request.getSession().getAttribute("close") != null){
	close = (String)request.getSession().getAttribute("close");
	request.getSession().removeAttribute("close");
}
SecurityDescriptor user = null;
String username="";
if (request.getSession().getAttribute("user")!=null){
	user = (SecurityDescriptor)request.getSession().getAttribute("user");
	username = user.getUserName();
}
%>
<%--
// getting user from session
SecurityDescriptor user = null;
String us = null;
if (request.getSession().getAttribute("user")!=null){
	user = (SecurityDescriptor)request.getSession().getAttribute("user");
	us = user.getUserName();
}
--%>

<%
System.out.println("before closing  mode="+mode+" mclass="+masterClass+" dclass="+detailClass+" mobjId="+masterObjId+" dobjid="+detailObjId);
%>

<html:html locale="true">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=Cp1252"/>
	<title></title>
	<style type="text/css" media="all"> @import "style/header.css";</style>
	<style type="text/css" media="all"> @import "style/footer.css";</style>
	<style type="text/css" media="all"> @import "style/menuleft.css";</style>
	<style type="text/css" media="all"> @import "style/area.css";</style>
	<script type="text/javascript">
	function closeW(){
		//window.opener.document.attributeForm.method.value="del";
		// window.opener.location.href=window.opener.location.href;
		opener.location.href="card.jsp?class=<%= masterClass%>&mode=show&masterdetail=<%=detailClass%>&objid=<%=masterObjId%>";
		window.close();
	}
	</script>

	<link href="CalendarControl.css" rel="stylesheet" type="text/css">
	<script src="CalendarControl.js" language="javascript"></script>
</head>

<%if (close.equals("ok")){ %>
<body onload="closeW()">
<%} else {%>
<body>
<%} %>


	<div id="container">
			<html:form method="POST" action="cardPopup">
			<html:hidden property="method"/>
			<% 
				CardPopupForm form = (CardPopupForm)request.getAttribute("cardPopupForm");
 				String className = form.getDetailClass();
				if (user.isAllowed(className,1)){
					if(mode.equals("create")){
						out.print(form.getPresentation().toCardCreateDetail());
					} else if(mode.equals("modify")){
						out.print(form.getPresentation().toCardModifyDetail());
					} else {
						out.print(form.getPresentation().toCardCreateDetail());
					}
				} else {
					out.print(form.getPresentation().toWarning());
				}
			%>
			</html:form>		
		<html:errors/>
	</div> <!-- Fine area -->
		
	<div class="pulito"></div>
</body>
</html:html>

