<%@ page contentType="text/html; charset=Cp1252" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>

<%@page import="cmdbuild.action_forms.*" %>
<%@page import="cmdbuild.utils.SecurityDescriptor"%>

<%@ page session="true" %>
<% 
SecurityDescriptor user = null;
if (request.getSession().getAttribute("user")!=null){
	user = (SecurityDescriptor)request.getSession().getAttribute("user");
}
if ( (request.getSession().getAttribute("logged")==null) || (request.getSession().getAttribute("logged")=="false")){
%>
	<jsp:forward page="index.jsp">
		<jsp:param name="" value=""/>
	</jsp:forward>	
<%
}
if ( user!=null && !user.isAdministrator()){
%>
	<jsp:forward page="index.jsp">
		<jsp:param name="" value=""/>
	</jsp:forward>	
<%
}
%>

<%
String classname="";
if (request.getParameter("class") != null){
	classname = request.getParameter("class");
	//request.getSession().setAttribute("class",classname);
} else if (request.getSession().getAttribute("class") != null){
	classname = (String)request.getSession().getAttribute("class");
}
String close="";
if (request.getSession().getAttribute("close") != null){
	close = (String)request.getSession().getAttribute("close");
	request.getSession().removeAttribute("close");
}
%>

<html:html locale="true">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=Cp1252"/>
		<title></title>
		<style type="text/css" media="all"> @import "style/popup.css"; </style>
		<script type="text/javascript">
		function closeW(){
			window.opener.document.domainForm.method.value="del";
			// window.opener.location.href=window.opener.location.href;
			opener.location.href="domain.jsp?class=<%= classname%>";
			window.close();
		}
		</script>
	</head>
	<%if (close.equals("ok")){ %>
	<body onload="closeW()">
	<%} else {%>
	<body>
	<%} %>
	<div align="center">	
	<div id="area">
		<bean:message key="modifydomain.title"/>
		<div id="container">
			<html:form method="POST" action="modifyDomain">
			<table cellpadding="5" cellspacing="0">
				<html:hidden property="method"/>
				<html:hidden property="className"/>
				<html:hidden property="domain"/>
				<html:hidden property="cardinality"/>
				<% 
				ModifyDomainForm form = (ModifyDomainForm)request.getAttribute("modifyDomainForm"); 
				%>
				<tr><td><bean:message key="com.name"/></td><td><input type="text" name="name" value="<%= form.getDomain() %>"></td></tr>
				<tr><td><bean:message key="com.directdescription"/></td><td><input type="text" name="directDescription" value="<%= form.getDirectDescription() %>"></td></tr>
				<tr><td><bean:message key="com.inversedescription"/></td><td><input type="text" name="inverseDescription" value="<%= form.getInverseDescription() %>"></td></tr>
				<tr>
				    <td><bean:message key="com.startclass"/></td><td><html:select property="startClass">
			            <html:optionsCollection property="class1" value="name" label="name"/>
				    </html:select></td>
				</tr>
				<tr>
				    <td><bean:message key="com.endclass"/></td><td><html:select property="endClass">
			            <html:optionsCollection property="class2" value="name" label="name"/>
				    </html:select></td>
				</tr>
				<tr>
				<% 
				String c1 = form.getCardinality().substring(0,1);
				String c2 = form.getCardinality().substring(2,3);
				%>
					<td><bean:message key="com.cardinality"/></td>
				    <td>
				    	<select name="card1">
				    	<% if (c1.equals("1")){ %>
				        <option>1</option>
						<option>N</option>
						<%} else { %>
						<option>N</option>
						<option>1</option>
						<%} %>
						</select>:
				    	<select name="card2">
				    	<% if (c2.equals("1")){ %>
				        <option>1</option>
						<option>N</option>
						<%} else { %>
						<option>N</option>
						<option>1</option>
						<%} %>
						</select>
					</td>	
				</tr>
				<tr>
				    <td><bean:message key="com.masterdetail"/></td>
				    <td>
				    <% if (form.isMasterDetail()){ %>
					    <input type="checkbox" name="masterDetail" checked> 
				    <%} else { %>
				        <input type="checkbox" name="masterDetail"> 
				    <%} %>	
				    </td>
				</tr>
				<tr>
					<td><bean:message key="com.status"/></td>
					<% if (form.getStatus()!=null && form.getStatus().equals("active")){ %>
				    <td>
				    	<select name="status">
				        <option value="active" selected><bean:message key="com.active"/></option>
						<option value="noactive"><bean:message key="com.noactive"/></option>
						</select>
					</td>	
					<%} else { %>
				    <td>
				    	<select name="status">
				        <option value="active"><bean:message key="com.active"/></option>
						<option value="noactive" selected><bean:message key="com.noactive"/></option>
						</select>
					</td>	
					<%} %>
				</tr>
				<tr><td><input type="button" name="button" value="<bean:message key="com.confirm"/>" onclick="method.value='modify';submit();" class="button"></td>
				<td><input type="button" name="button" value="<bean:message key="com.cancel"/>" onclick="window.close();" class="button"></tr>
			</table>
			</html:form>
			<html:errors/>
		</div>
	</div>
	</div> <!-- Fine del center -->
	</body>
</html:html>