<%@ page contentType="text/html; charset=Cp1252" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>

<%@page import="cmdbuild.presentation.*" %>
<%@page import="cmdbuild.action_forms.RelationForm" %>
<%@page import="cmdbuild.utils.*" %>

<%@ page session="true" %>
<% 
session = pageContext.getSession();
if ( (session.getAttribute("logged")==null) || (session.getAttribute("logged")=="false")){%>
	<jsp:forward page="index.jsp">
		<jsp:param name="" value=""/>
	</jsp:forward>	
<%}%>

<%
String mode="";  // mode types are: filter,create,modify,show || null
if (request.getParameter("mode") != null){
	mode = request.getParameter("mode");
} else if (request.getSession().getAttribute("mode") != null){
	mode = (String) request.getSession().getAttribute("mode");
} else {
	mode="";
}
%>

<html:html locale="true">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=Cp1252"/>
	<title></title>
	<style type="text/css" media="all"> @import "style/header.css";</style>
	<style type="text/css" media="all"> @import "style/footer.css";</style>
	<style type="text/css" media="all"> @import "style/menuleft.css";</style>
	<style type="text/css" media="all"> @import "style/area.css";</style>
	<%
	MultiLanguage multilanguage = (MultiLanguage)request.getSession().getAttribute("multilanguage");
	%>
	<script language="javascript">
	function goTo(evt,start,end) {
		var page = document.relationForm.pagina.value;
		evt = (evt)?evt:((window.event)?window.event:null);
		var thingPressed="";
		if (evt){
			thingPressed=(evt.charCode)?evt.charCode:((evt.which)?evt.which:evt.keyCode);
			//alert(thingPressed);
			if (thingPressed==13){
				if (isNaN(page)){
					alert('<%= multilanguage.getMessage("relation.alertnumber") %>');
				} else if(page>end || page<start){
					alert('<%= multilanguage.getMessage("relation.alertpage") %>');
				} else {
					location.href='relation.jsp?subpage='+page;
					//alert('search.jsp?mode=show&subpage='+page);
				}
			}
		}
	}
	</script>
	
</head>
<body>
		
	<%@ include file="include/header-ges.jsp"%>	
	<%@ include file="menutree-ges.jsp"%>	
		
	<div id="area">
		<div id="tab">
			<div class="tabI"><a href="search.jsp"><bean:message key="com.search"/></a></div>
			<div class="tabI"><a href="card.jsp"><bean:message key="com.card"/></a></div>
			<div class="tabI"><a href="note.jsp"><bean:message key="com.notes"/></a></div>
			<div class="tabA"><a href="relation.jsp"><bean:message key="com.relation"/></a></div>
			<div class="tabI"><a href="history.jsp"><bean:message key="com.history"/></a></div>
		</div>
		<div id="container">
			<html:form method="POST" action="relation" onsubmit="return false;">
			<html:hidden property="method"/>
			<html:hidden property="currentPage"/>
			<html:hidden property="targetClass"/>
			<html:hidden property="targetClassId"/>
			<html:hidden property="targetObjId"/>
			<html:hidden property="targetDomain"/>
			<html:hidden property="targetDomainId"/>
			<html:hidden property="direct"/>
			<% 
				RelationForm form = (RelationForm)request.getAttribute("relationForm");
				String className = form.getClassName(); 
				if (user.isAllowed(className,1)){
					out.print(form.getPresentation().toRelationTable());
				} else {
					out.print(form.getPresentation().toWarning());
				}
			%>
			</html:form>		
		<html:errors/>
		</div> <!-- Fine container -->
	</div> <!-- Fine area -->
		
	<div class="pulito"></div>
	<%@ include file="include/footer.jsp"%>
</body>
</html:html>

